using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 资质录入页面表
    /// </summary>
    [Description("资质录入页面表")]
    public class T_OG_RELATED_QUALIFICATION_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 资质情况表ID
        /// </summary>
        [Description("资质情况表")]
        [DataFieldForeignKey("Nav_Qualification", "Nav_Details")]
        public Guid QUALIFICATION_ID { get; set; }
        /// <summary>
        /// 导航：资质情况表
        /// </summary>
        [Description("导航：资质情况表")]
        public T_OG_RELATED_QUALIFICATION Nav_Qualification { get; set; }        
        /// <summary>
        /// 审查类型
        /// </summary>
        [Description("审查类型")]
        [FormFieldEdit]
        [EnumName("OGQualificationDetailType")]
        public OGQualificationDetailType TYPE { get; set; }        
        /// <summary>
        /// 项目ID
        /// </summary>
        [Description("项目")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Item")]
        public Guid ITEM_ID { get; set; }        
        /// <summary>
        /// 项目ID
        /// </summary>
        [Description("导航: 项目")]
        public T_OG_RELATED_QUALIFICATION_DETAIL_ITEM Nav_Item { get; set; }

        /// <summary>
        /// 业务范围
        /// </summary>
        [Description("业务范围")]
        [FormFieldEdit]
        public string BUSINESS_SCOPE { get; set; }

        /// <summary>
        /// 有效期
        /// </summary>
        [Description("有效期")]
        [FormFieldEdit]
        public DateTime? VALID_PERIOD { get; set; }

        /// <summary>
        /// 符合结论
        /// </summary>
        [Description("符合结论")]
        [FormFieldEdit]
        [EnumName("OGConclusionType")]
        public int RESULT { get; set; }

        /// <summary>
        /// 导航属性：附件
        /// </summary>
        [Description("导航属性：附件")]
        public ICollection<T_OG_RELATED_QUALIFICATION_DETAIL_FILE> Nav_Files { get; set; }

    }
}
